Skip to content

WireInCmtCode⁠

Perform various operations for Symitar parameters.

Operations⁠

getWireInCmtCodeSelectFields⁠

POST

Execute the persistent ParameterService getWireInCmtCodeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireInCmtCodeSelectionintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getWireInCmtCodeSelectFields
POST /nexum/627/persistent/parameter/getWireInCmtCodeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "WireInCmtCodeSelection": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllWireInCmtCodeFields": true,
    "WireInCmtCodeFields": {
      "CommentCode": true,
      "MatchBusFunctionCode": true,
      "MatchNotifyMethod": true,
      "MatchTypeCode": true,
      "Selection": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireInCmtCodePagedListSelectFields⁠

POST

Execute the persistent ParameterService getWireInCmtCodePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getWireInCmtCodePagedListSelectFields
POST /nexum/627/persistent/parameter/getWireInCmtCodePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireInCmtCodeFields": true,
    "WireInCmtCodeFields": {
      "CommentCode": true,
      "MatchBusFunctionCode": true,
      "MatchNotifyMethod": true,
      "MatchTypeCode": true,
      "Selection": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWireInCmtCodePagedSelectFields⁠

POST

Execute the persistent ParameterService searchWireInCmtCodePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchWireInCmtCodePagedSelectFields
POST /nexum/627/persistent/parameter/searchWireInCmtCodePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireInCmtCodeFields": true,
    "WireInCmtCodeFields": {
      "CommentCode": true,
      "MatchBusFunctionCode": true,
      "MatchNotifyMethod": true,
      "MatchTypeCode": true,
      "Selection": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateWireInCmtCodeByID⁠

POST

Execute the persistent ParameterService updateWireInCmtCodeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireInCmtCodeSelectionintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateWireInCmtCodeByID
POST /nexum/627/persistent/parameter/updateWireInCmtCodeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "WireInCmtCodeSelection": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "WireInCmtCodeFields": {
    "CommentCode": 0,
    "MatchBusFunctionCode": "string",
    "MatchNotifyMethod": 0,
    "MatchTypeCode": "string",
    "Selection": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}